[SA15492] Internet Explorer for Mac Dialog Origin Spoofing Vulnerability

2005-06-21T00:00:00
ID SECURITYVULNS:DOC:8922
Type securityvulns
Reporter Securityvulns
Modified 2005-06-21T00:00:00

Description


Bist Du interessiert an einem neuen Job in IT-Sicherheit?

Secunia hat zwei freie Stellen als Junior und Senior Spezialist in IT- Sicherheit: http://secunia.com/secunia_vacancies/


TITLE: Internet Explorer for Mac Dialog Origin Spoofing Vulnerability

SECUNIA ADVISORY ID: SA15492

VERIFY ADVISORY: http://secunia.com/advisories/15492/

CRITICAL: Less critical

IMPACT: Spoofing

WHERE: >From remote

SOFTWARE: Internet Explorer 5.x for Mac http://secunia.com/product/2678/

DESCRIPTION: Secunia Research has discovered a vulnerability in Internet Explorer for Mac, which can be exploited by malicious web sites to spoof dialog boxes.

The problem is that JavaScript dialog boxes do not display or include their origin, which allows a new window to open e.g. a prompt dialog box, which appears to be from a trusted site.

Successful exploitation normally requires that a user is tricked into opening a link from a malicious web site to a trusted web site.

Secunia has constructed a test, which can be used to check if your browser is affected by this issue: http://secunia.com/multiple_browsers_dialog_origin_vulnerability_test/

The vulnerability has been confirmed in version 5.2.3. Prior versions may also be affected.

SOLUTION: Do not browse untrusted web sites while browsing trusted sites.

PROVIDED AND/OR DISCOVERED BY: Jakob Balle, Secunia Research


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.